{ pkgs, ... }: {
  programs.kakoune = {
    enable = true;
    config = {
      numberLines = {
        enable = true;
        highlightCursor = true;
        relative = true;
      };
      ui = {
        enableMouse = true;
      };
    };
    plugins = with pkgs.kakounePlugins; [
      active-window-kak
      auto-pairs-kak
      fzf-kak
      kak-lsp
      kakboard
      kakoune-state-save
      kakoune-vertical-selection
      # needs luar
      pkgs.luar
      tabs-kak
    ];
  };
}
